Gtk::FileChooserError Class Reference

Exception class for Gdk::FileChooser errors. More...

Inheritance diagram for Gtk::FileChooserError:
[legend]

## Public Types

enum | Code { NONEXISTENT, BAD_FILENAME, ALREADY_EXISTS, INCOMPLETE_HOSTNAME }

## Public Member Functions

| FileChooserError (Code error_code, const Glib::ustring& error_message)
| FileChooserError (GError* gobject)
Code | code () const

## Detailed Description

Exception class for Gdk::FileChooser errors.

## Member Enumeration Documentation

enum Gtk::FileChooserError::Code

Enumerator
NONEXISTENT | Indicates that a file does not exist.
BAD_FILENAME | Indicates a malformed filename.
ALREADY_EXISTS | Indicates a duplicate path (e.g. when adding a bookmark).
INCOMPLETE_HOSTNAME | Indicates an incomplete hostname (e.g. "http://foo" without a slash after that).

## Constructor & Destructor Documentation

Gtk::FileChooserError::FileChooserError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

Gtk::FileChooserError::FileChooserError | ( | GError * | gobject | ) |

explicit

## Member Function Documentation

Code Gtk::FileChooserError::code | ( |  | ) | const

The documentation for this class was generated from the following file:

- gtkmm/filechooser.h